<%
  @filter = params[:filter]
  new_filter = params[:new_filter]
  
  if @filter && params[:clear]
    @filter.delete(params[:type])
  elsif @filter && new_filter
    if @filter.has_key?(new_filter[:type]) && @filter[new_filter[:type]].include?(new_filter[:id].to_s)
      @filter[new_filter[:type]].delete(new_filter[:id].to_s)
    elsif @filter.has_key?(new_filter[:type])
      @filter[new_filter[:type]] << new_filter[:id].to_s
    else
      @filter.merge!({new_filter[:type] => [new_filter[:id].to_s]})
    end
  elsif new_filter
    @filter = {new_filter[:type] => [new_filter[:id].to_s]}
  end


  if @user
    @experiences = Experience.where(:create_user_id => @user.id).page(params[:page]).per(10)
  else
    @experiences = Experience.all.page(params[:page]).per(10)
  end


%>

<table class="table main-list">
	<thead>
		<tr>
			<th class="span1"><%= t('experience.date') %></th>
			<th class="span3"><%= t('experience.organizationt_title') %></th>
		</tr>
	</thead>
	<tbody id="tbody_experiences" class="sort-holder">
		
		
	<% @experiences.each do |experience| %>	
			
	<tr id="<%= dom_id experience %>" class="with_action">
		<td><%= experience.start_date.strftime("%Y.%m") %> ~ <%= experience.end_date.strftime("%Y.%m") %></td>
		<td>
		<%= link_to experience.organizationt_title, panel_personal_experience_front_end_experience_path(experience) %>
		</td>
	</tr>		
		
	<% end %>	
		
		
	</tbody>
</table>

<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_experience_back_end_experience_path(:user_id => @user.id), :class => 'btn btn-primary pull-right' %>


<div class="form-actions form-fixed pagination-right">
	<%= link_to content_tag(:i, nil, :class => 'icon-plus icon-white') + t('announcement.add_new'), new_panel_personal_experience_plugin_experience_path, :class => 'btn btn-primary pull-right' %>
	<div id="experience_pagination" class="paginationFixed">
	<%= paginate @experiences, :params => {:direction => params[:direction], :sort => params[:sort], :filter => @filter, :new_filter => nil} %>
	</div>
</div>
